--- src/java.desktop/macosx/native/libawt_lwawt/awt/CGraphicsDevice.m.orig	2024-10-08 18:09:38.000000000 +1100
+++ src/java.desktop/macosx/native/libawt_lwawt/awt/CGraphicsDevice.m	2024-10-08 18:09:16.000000000 +1100
@@ -60,6 +60,9 @@
 }
 
 static BOOL isValidDisplayMode(CGDisplayModeRef mode) {
+    // https://trac.macports.org/ticket/71049: temporary additional guard for undef'd NSBun..ARM64
+    // https://bugs.java.com/bugdatabase/view_bug?bug_id=JDK-8342071
+#if MAC_OS_X_VERSION_MAX_ALLOWED >= 110000
     // Workaround for apple bug FB13261205, since it only affects arm based macs
     // and arm support started with macOS 11 ignore the workaround for previous versions
     if (@available(macOS 11, *)) {
@@ -70,6 +73,7 @@
             return (CGDisplayModeGetPixelWidth(mode) >= 800);
         }
     }
+#endif
     return (1 < CGDisplayModeGetWidth(mode) && 1 < CGDisplayModeGetHeight(mode));
 }
 
